Subject: bug#8891: 23.3; save-buffer messages about writing files that may not be written

From: Chong Yidong <[email-masked]>
Date: Mon, 04 Jul 2011 13:41:41 -0400

Lars Magne Ingebrigtsen <[email-masked]> writes:

>> I don't think it's worth changing.
>
> It would be a very minor change -- it would just be moving a `message'
> down into `basic-save-buffer-2' from `save-buffer', I think.

The implications are not obvious.  One good thing about emitting the
"saving" message early is that if any of the intermediate steps take a
long time, at least the user is informed about what Emacs is working on.

Postphoning the "saving" message eliminates that benefit, for the very
minor benefit of handling a corner case (a custom write-file-functions
entry) a tiny bit better.